package com.itbaizhan;

import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Enumeration;

public class ContextReadServlet extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        this.doPost(req,resp);
    }

    @Override
    protected void doPost(HttpServletRequest req,
                          HttpServletResponse resp) throws ServletException, IOException {
        ServletContext servletContext = this.getServletContext();
        Enumeration<String> parameterNames =
                servletContext.getInitParameterNames();
        PrintWriter pw=resp.getWriter();
        while (parameterNames.hasMoreElements()) {
            String name =  parameterNames.nextElement();
            String value=servletContext.getInitParameter(name);
            pw.println("name:"+name+"="+value);

        }
        pw.flush();
        pw.close();
    }
}
