package com.itbaizhan;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Enumeration;

public class GetRequestHeaderServlet_my extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        this.doPost(req,resp);
    }

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {

        String headerInfo=req.getHeader("Accept-encoding");

        Enumeration<String> headnames=req.getHeaderNames();
        
        PrintWriter pw=resp.getWriter();

        pw.println("Header Info -- Accept-encoding:"+headerInfo);

        while (headnames.hasMoreElements()) {
            String key =  headnames.nextElement();
            String value=req.getHeader(key);
            pw.println(key+":"+value);
            
        }
        
        pw.flush();
        pw.close();
    }
}
