package com.itbaizhan;

import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebInitParam;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;

@WebServlet(urlPatterns = "/initParam.do",initParams =
        {@WebInitParam(name = "key1",value = "hahaha"),
                @WebInitParam(name = "key2",value = "hehehe")},
        loadOnStartup = 1)
public class InitParaServlet extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        this.doPost(req,resp);
    }

    @Override
    protected void doPost(HttpServletRequest req,
                          HttpServletResponse resp) throws ServletException, IOException {
        PrintWriter pw=resp.getWriter();

        ServletConfig servletConfig = this.getServletConfig();
        String value1 = servletConfig.getInitParameter("key1");
        String value2 = servletConfig.getInitParameter("key2");
        pw.println(value1);
        pw.println(value2);
        pw.flush();
        pw.close();

    }

    @Override
    public void init() throws ServletException {
        ServletConfig servletConfig = this.getServletConfig();
        String value1 = servletConfig.getInitParameter("key1");
        String value2 = servletConfig.getInitParameter("key2");
        System.out.println(value1);
        System.out.println(value2);
    }
}
